EDIT - task #9459

REST API tests for UTIS
02/09/2021 08:17 AM - Andreas Kohlbecker

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: utis Estimated time: 0:00 hour
Target version: UTIS 1.4

Severity: normal

Description

There is already a test suite http://int.e-taxonomy.eu/jenkins/job/utis-jmeter-tests/ which could be repaired.

Otherwise we may want to use another test tool like Gatling, ...
This descission may also depend on the kinds of tests that are to be applied:
Which tests to we need to implement?

API Functional Tests (Tools: Gatling, REST Assured + Hamcrest to do assertions, jMeter?, ....)
e Load tests (Tools: Gatling, jMeter?, ...)

e Soak Tests

¢ Peak Tests

For a brief introduction into the different test types and on a quite subjective and selective overview on existing tools, see for
example: https://dzone.com/articles/5-types-of-tests-to-perform-on-your-apis

Comparison of gatling, jmeter and grinder

On how to run Gatling load tests from distributed client machines to crate a heavy load on a server or cluster of servers:
https://dzone.com/articles/running-gatling-with-distributed-environment

Maybe include into Cucumber (https://cucumber.io/docs/guides/api-automation/?lang=java)

Some links for REST assured: https://rest-assured.io/, https://github.com/rest-assured/rest-assured/wiki/Usage

Related issues:
Related to EDIT - task #9460: REST API tests New

History

#1 - 02/09/2021 10:08 AM - Andreas Kohlbecker

- Description updated

#2 - 02/09/2021 10:44 AM - Andreas Kohlbecker

- Description updated

#3 - 02/09/2021 11:15 AM - Andreas Kohlbecker

- Description updated

#4 - 02/25/2022 04:48 PM - Andreas Miiller
- Project changed from UTIS to EDIT

- Category changed from utis to utis

- Target version set to UTIS 1.4

- Severity set to normal

#5 - 02/25/2022 04:53 PM - Andreas Miuller

- Assignee changed from Andreas Kohlbecker to Andreas Mdiller

#6 - 03/23/2022 12:19 PM - Andreas Miuller
http://int.e-taxonomy.eu/jenkins/job/utis-jmeter-tests/
https://dzone.com/articles/5-types-of-tests-to-perform-on-your-apis
https://www.baeldung.com/gatling-jmeter-grinder-comparison
https://dzone.com/articles/running-gatling-with-distributed-environment
https://cucumber.io/docs/guides/api-automation/?lang=java
https://rest-assured.io/
https://github.com/rest-assured/rest-assured/wiki/Usage

- Related to task #9460: REST APl tests added

#7 - 09/22/2023 03:45 PM - Andreas Miiller
- Description updated

#8 - 09/22/2023 03:47 PM - Andreas Miiller
- Description updated

#9 - 09/26/2023 02:55 PM - Andreas Miiller
- Description updated
